package com.prolog.cs.biz.outbound.model.entity;

import java.io.Serializable;

import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.prolog.framework.bz.core.model.BaseModel;

/**
 * @Description  
 * @Date 2021-06-01 
 */

@ApiModel
public class InnerCheckHDO extends BaseModel implements Serializable {
	private static final long serialVersionUID =  7255392193105419671L;
	@Id
	 /** id **/
	@ApiModelProperty(value = "id") 
	private String id;

	 /** 容器编码 **/ 
	@ApiModelProperty(value = "容器编码") 
	private String containerCode;

	 /** 订单id **/ 
	@ApiModelProperty(value = "订单分组id")
	private String billGroupId;

	 /** 仓库id **/ 
	@ApiModelProperty(value = "仓库id") 
	private String warehouseId;

	 /** 复核员1 **/ 
	@ApiModelProperty(value = "复核员1") 
	private String checker1;

	 /** 复核员2 **/ 
	@ApiModelProperty(value = "复核员2") 
	private String checker2;

	 /** 复核台 **/ 
	@ApiModelProperty(value = "复核台") 
	private String stationCode;

	 /** 建筑物 **/ 
	@ApiModelProperty(value = "建筑物") 
	private String buildingCode;

	 /** 集货区 **/ 
	@ApiModelProperty(value = "集货区") 
	private String workstageCode;

	 /** 状态：1 完成，2 挂起，3 挂起，4 失败 5 冲红 **/ 
	@ApiModelProperty(value = "状态：0 开始,1 完成，2 挂起，3 挂起，4 失败 5 冲红")
	private String status;


	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getContainerCode() {
		return this.containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public String getBillGroupId() {
		return this.billGroupId;
	}

	public void setBillGroupId(String billGroupId) {
		this.billGroupId = billGroupId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getChecker1() {
		return this.checker1;
	}

	public void setChecker1(String checker1) {
		this.checker1 = checker1;
	}

	public String getChecker2() {
		return this.checker2;
	}

	public void setChecker2(String checker2) {
		this.checker2 = checker2;
	}

	public String getStationCode() {
		return this.stationCode;
	}

	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	}

	public String getBuildingCode() {
		return this.buildingCode;
	}

	public void setBuildingCode(String buildingCode) {
		this.buildingCode = buildingCode;
	}

	public String getWorkstageCode() {
		return this.workstageCode;
	}

	public void setWorkstageCode(String workstageCode) {
		this.workstageCode = workstageCode;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

}
